<?php

namespace App\Nova\Filters;

use App\Models\Role;
use Illuminate\Contracts\Database\Eloquent\Builder;
use Laravel\Nova\Filters\Filter;
use Laravel\Nova\Http\Requests\NovaRequest;

class UserRoleFilter extends Filter
{
    /**
     * The filter's displayable name.
     *
     * @var string
     */
    public function name(): string
    {
        return 'فلترة حسب الدور';
    }

    /**
     * The filter's component.
     *
     * @var string
     */
    public $component = 'select-filter';

    /**
     * Apply the filter to the given query.
     */
    public function apply(NovaRequest $request, Builder $query, mixed $value): Builder
    {
        return $query->whereHas('roles', function ($q) use ($value) {
            $q->where('roles.id', $value);
        });
    }

    /**
     * Get the filter's available options.
     *
     * @return array<string, string>
     */
    public function options(NovaRequest $request): array
    {
        return Role::pluck('id', 'name')->all();
    }
}
