<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use App\Models\Asset;
use App\Policies\AssetPolicy;
use App\Models\School;
use App\Policies\SchoolPolicy;
use App\Models\AssetCategory;
use App\Policies\AssetCategoryPolicy;
use App\Models\AssetBrand;
use App\Policies\AssetBrandPolicy;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The model to policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        Asset::class => AssetPolicy::class,
        School::class => SchoolPolicy::class,
        AssetCategory::class => AssetCategoryPolicy::class,
        AssetBrand::class => AssetBrandPolicy::class,
    ];

    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        $this->registerPolicies();

        //
    }
}
