<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('assets', function (Blueprint $table) {
            $table->id();
            $table->string('name'); // Asset name
            $table->foreignId('school_id')->constrained()->onDelete('cascade'); // Foreign key to schools
            // Add other asset fields here later (serial_number, purchase_date, etc.)
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('assets', function (Blueprint $table) {
             // Drop foreign key first if your DB requires it explicitly
             if (Schema::hasColumn('assets', 'school_id')) {
                 try {
                     $table->dropForeign(['school_id']);
                 } catch (\Exception $e) {
                     // Log or ignore if foreign key doesn't exist
                 }
             }
        });
        Schema::dropIfExists('assets');
    }
};
