<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            // Add user_id column, make it nullable in case assets can be created without a user context initially
            // or if you have existing assets without a creator. Consider making it non-nullable if needed.
            $table->unsignedBigInteger('user_id')->nullable()->after('school_id'); 

            // Add foreign key constraint
            $table->foreign('user_id')->references('id')->on('users')->onDelete('set null'); // Set null on delete, or cascade/restrict based on your needs
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            // Drop the foreign key constraint first
            $table->dropForeign(['user_id']);
            // Drop the user_id column
            $table->dropColumn('user_id');
        });
    }
};
