<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            // Check if the column exists before dropping to avoid errors on rollback/rerun
            if (Schema::hasColumn('assets', 'image_path')) {
                $table->dropColumn('image_path');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('assets', function (Blueprint $table) {
            // Add the column back if it doesn't exist
            if (!Schema::hasColumn('assets', 'image_path')) {
                $table->string('image_path')->nullable()->comment('Path to the uploaded image')->after('condition'); // Place it back roughly where it was
            }
        });
    }
};
